## gtranslator 3.38.0

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

## gtranslator 1.9.11

=== debian/changelog ===
gtranslator (1.9.11-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in
    - Add Build-Depends on libgda-4.0-dev for new memory translation backend.
    - Bump Build-Depends on libgdl-1-dev to (>= 2.26.0).

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:25:35 +0200

gtranslator (1.9.10-1) unstable; urgency=low

  * New upstream release.
  * debian/docs
    - Remove TODO file, no longer shipped in upstream tarball.
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Remove /usr/share/cdbs/1/rules/simple-patchsys.mk from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 May 2010 01:41:47 +0200

gtranslator (1.9.9-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends on libunique-dev.
  * Bump Debhelper compat to 7. Adjust Build-Deps accordingly.

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Feb 2010 19:36:19 +0100

gtranslator (1.9.8-1) unstable; urgency=low

  * New upstream release.
    - fixes a crash when dealing with malformed PO headers (closes: #539231)
    - should build with binutils-gold (closes: #554756)

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Feb 2010 00:57:59 +0100

gtranslator (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Update Build-Depends to match configure.ac requirements.
  * Remove debian/links, the upstream icon install path is fixed now.

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Feb 2010 16:04:49 +0100

gtranslator (1.9.6-1) unstable; urgency=low

  * New upstream release.
    - Builds with the new GDL version (closes: #549764).
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Update debian/watch to format 3, and use download.gnome.org again.
  * Add a gtranslator.png symlink so GTranslator can have an application
    icon.

 -- Jordi Mallach <jordi@debian.org>  Wed, 07 Oct 2009 10:43:09 +0200

gtranslator (1.9.5-1) unstable; urgency=low

  * New upstream release.
  * Update copyright, upstream has added an OpenSSL exception to the
    Subversion plugin licence, however I'm not sure if that licence
    change should include the entire gtranslator codebase.
  * Remove 01_manpage_hyphen.patch, applied upstream.
  * Remove Build-Depends on libglade2-dev and bump libgtk2.0-dev to 2.16,
    gtranslator has been ported to GtkBuilder.

 -- Jordi Mallach <jordi@debian.org>  Sat, 25 Apr 2009 14:56:03 +0200

gtranslator (1.9.4-2) unstable; urgency=low

  * Upload to unstable.
  * Update Build-Depends to libgucharmap2-dev and remove left-over
    Build-Dep on libserf-0-0-dev, which makes libdb-dev uninstallable.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Mar 2009 11:59:01 +0100

gtranslator (1.9.4-1) experimental; urgency=low

  [ Jordi Mallach ]
  * New upstream development version. This branch is a complete rewrite
    that will eventually become 2.0.
    According to the new upstream, the following bugs should be fixed:
    - closes: #225324, Need to add space before every newline
    - closes: #254339, Search function doesn't handle non-ASCII content
    - closes: #256527, confuses "middle-dot" and "space" characters when
                       copy-pasting
    - closes: #257184, Popup window opens UNDER the main window and is thus
                       not visible
    - closes: #258039, Search function alway searches all of comments,
                       english and translation
    - closes: #269779, Plural window lakes the OK button
    - closes: #277771, Search again for # does not work
    - closes: #278805, unused strings are always treated as utf8, and
                       double-encoded
    - closes: #295392, chosing Help->gtranslator website doesn't work
    - closes: #301608, To break lines with 80 columns for translation of
                       the templates.pot
    - closes: #313346, allow arbitrary translation teams
    - closes: #330958, Pressing Enter should validate the Goto dialog
    - closes: #345916, With long comment gtranslator window is wider than
                       screen
    - closes: #353798, improper use of GError
    - closes: #355018, destroys plural msgstr structure in po file
    - closes: #357994, file incorrectly reported as already opened
  * Update Build-Depends to match requirements as declared by configure.ac.
  * Update menu section to "Applications".
  * Remove obsolete patches 01_pozilla_bash.patch,
    02_hebrew-translation-list.patch and
    30_superfluous-underscores-in-desktop-file.patch.
  * Don't remove src/defines.h, po/POTFILES and data/gtranslator.desktop,
    these workarounds shouldn't be needed anymore.
  * Update Build-Depends to libgdl-1-dev (>= 2.24.0), which is the first
    version not needing an undeclared libgnomeui-dev dependency, which
    broke gtranslator's build.
  * Add Build-Depends on libgdict-1.0-dev for the gdict plugin.
  * Add " -Wl,-O1 -Wl,-z,defs -Wl,--as-needed" to LDFLAGS to avoid
    extra dependencies as suggested by Loïc Minier.
  * Don't uupdate on the watch file.
  * Build-Depend on libapr1-dev, libaprutil1-dev, libneon27-gnutls-dev,
    libserf-0-0-dev and libsasl2-dev to get the Subversion plugin building.
  * Add --disable-scrollkeeper to DEB_CONFIGURE_EXTRA_FLAGS.
  * Add complete authorship and copyright details to the copyright file.
  * Add 01_manpage_hyphen.patch (also applied upstream) to fix a non-escaped
    hyphen in Gtranslator's manpage.

  [ Emilio Pozuelo Monfort ]
  * Standards-Version is 3.8.0, no changes needed.
  * Disable subversion plugin, as gtranslator is GPL and the subversion
    plugin links againt OpenSSL.
    + Remove subversion plugin's build dependencies.
  * Remove -Wl,-z,defs from LDFLAGS as that makes the build fail.
  * Exclude the private libraries from the dh_makeshlibs run.
  * Don't install the static libraries.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Feb 2009 16:27:24 +0100

gtranslator (1.1.7-4) unstable; urgency=low

  [ Loic Minier ]


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gtranslator
Section: text
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               gettext,
               gnome-doc-utils (>= 0.3.2),
               gtk-doc-tools,
               libdb-dev (>= 4.3),
               libgconf2-dev (>= 2.18.0),
               libgdl-1-dev (>= 2.26.0),
               libgdict-1.0-dev (>= 0.11.0),
               libglib2.0-dev (>= 2.15.5),
               libgtksourceview2.0-dev (>= 2.4.0),
               libgtk2.0-dev (>= 2.18),
               libgtkspell-dev (>= 2.0.2),
               libgucharmap2-dev (>= 2.23.0),
               libsoup2.4-dev (>= 2.4.0),
               libunique-dev,
               libgda-4.0-dev,
               libxml2 (>= 2.4.12),
               gnome-pkg-tools
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gtranslator
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
Homepage: http://gtranslator.sourceforge.net/

Package: gtranslator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: PO-file editor for the GNOME Desktop
 Gtranslator is a po file editor which makes translating gettext applications
 as easy as possible, even for people with no translation experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions and general integration with
 the GNOME Desktop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-debug=no \
			--disable-plugin-subversion

DEB_DH_MAKESHLIBS_ARGS_ALL += -Xusr/lib/gtranslator

clean::
	rm -f data/mime/gtranslator.keys
	rm -f help/C/gtranslator-C.omf.out

binary-install/gtranslator::
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.a
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.la

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtranslator/([\d.]*)/gtranslator-(.*)\.tar\.gz

## gtranslator 1.9.13

=== debian/changelog ===
gtranslator (1.9.13-1) experimental; urgency=low

  * New upstream release.
  * Include check-dist.mk.
  * Add gsettings-desktop-schemas-dev to Build-Depends.
  * Add libjson-glib-dev to Build-Depends, as required by the opentrans
    plugin.

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Nov 2010 19:59:23 +0100

gtranslator (1.9.12-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends for GLib and GTK+2, gtranslator has migrated to
    gsettings.
  * Update copyright. Thanks to Nacho Casal for pointing it out.
  * Remove Build-Depends on libdb-dev, gtranslator now uses libgda.
  * Bump Standards-Version to 3.9.1, no changes required.
  * Don't pass --disable-plugin-subversion, it's not any longer available.
  * Remove extra clean rules, no longer needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 14 May 2010 10:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,23 @@
                debhelper (>= 7),
                gettext,
                gnome-doc-utils (>= 0.3.2),
+               gsettings-desktop-schemas-dev,
                gtk-doc-tools,
-               libdb-dev (>= 4.3),
                libgconf2-dev (>= 2.18.0),
+               libgda-4.0-dev,
                libgdl-1-dev (>= 2.26.0),
                libgdict-1.0-dev (>= 0.11.0),
-               libglib2.0-dev (>= 2.15.5),
+               libglib2.0-dev (>= 2.27),
                libgtksourceview2.0-dev (>= 2.4.0),
-               libgtk2.0-dev (>= 2.18),
+               libgtk2.0-dev (>= 2.22),
                libgtkspell-dev (>= 2.0.2),
                libgucharmap2-dev (>= 2.23.0),
+               libjson-glib-dev (>= 0.7.6),
                libsoup2.4-dev (>= 2.4.0),
                libunique-dev,
-               libgda-4.0-dev,
                libxml2 (>= 2.4.12),
                gnome-pkg-tools
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gtranslator
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
 Homepage: http://gtranslator.sourceforge.net/
@@ -37,9 +38,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: PO-file editor for the GNOME Desktop
- Gtranslator is a po file editor which makes translating gettext applications
+ GTranslator is a po file editor which makes translating gettext applications
  as easy as possible, even for people with no translation experience.
  .
  It supports the usage of translation memories, syntax highlighting, spell
- checking, undoing of insertions and deletions and general integration with
+ checking, undoing of insertions and deletions, and general integration with
  the GNOME Desktop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-debug=no

DEB_DH_MAKESHLIBS_ARGS_ALL += -Xusr/lib/gtranslator

binary-install/gtranslator::
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.a
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.la

## gtranslator 2.90.2

=== debian/changelog ===
gtranslator (2.90.2-1) experimental; urgency=low

  * New upstream release.
  * Add ${gir:Depends} to generate correct gir deps, and
    adjust gir path for DEB_DH_GIREPOSITORY_ARGS.
  * Bump Build-Deps for new requirements.
  * Update Homepage.

 -- Jordi Mallach <jordi@debian.org>  Sat, 30 Apr 2011 15:27:32 +0200

gtranslator (2.90.1-1) experimental; urgency=low

  * New upstream release.
  * Add iso-codes to both Build-Depends and Depends.
  * Bump Build-Depends to match stricter requirements.
  * Add missing dependency on gsettings-desktop-schemas.
  * Add python-support bits and ${python:Depends}, as now there's a
    python plugin.
  * Enable GObject-introspection: build-depend on gobject-introspection,
    libgirepository1.0-dev, gir1.2-gtk-3.0 and gir1.2-gucharmap-2.90.
  * Remove all .la and .a files, as well as .pyc and .pyo for the python
    code.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Apr 2011 20:40:17 +0200

gtranslator (2.90.0-1) experimental; urgency=low

  * New upstream release, ported to GTK+3.
  * Adapt Build-Depends requirements.

 -- Jordi Mallach <jordi@iti.upv.es>  Tue, 29 Mar 2011 11:43:03 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gtranslator
Section: gnome
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               gnome-pkg-tools,
               gettext,
               gnome-doc-utils (>= 0.3.2),
               gsettings-desktop-schemas-dev,
               gtk-doc-tools,
               gobject-introspection (>= 0.9.3),
               libgirepository1.0-dev (>= 0.9.3),
               intltool (>= 0.40.0),
               iso-codes (>= 0.35),
               libgda-4.0-dev (>= 4.2.0),
               libgdl-3-dev (>= 2.91.1),
               libgdict-1.0-dev (>= 0.11.0),
               libglib2.0-dev (>= 2.28.0),
               libgtksourceview-3.0-dev (>= 3.0.0),
               libgtk-3-dev (>= 3.0.3),
               libgucharmap-2-90-dev (>= 3.0.0),
               libjson-glib-dev (>= 0.12.0),
               libpeas-dev (>= 1.0.0),
               libxml2 (>= 2.4.12),
               python-support (>= 0.7.1)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gtranslator
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
Homepage: http://projects.gnome.org/gtranslator/

Package: gtranslator
Architecture: any
Depends: ${shlibs:Depends},
         ${gir:Depends},
         ${python:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         iso-codes
Description: PO-file editor for the GNOME Desktop
 GTranslator is a po file editor which makes translating gettext applications
 as easy as possible, even for people with no translation experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions, and general integration with
 the GNOME Desktop.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,11 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -Xusr/lib/gtranslator
 
+DEB_DH_GIREPOSITORY_ARGS_gtranslator += -ldebian/gtranslator/usr/share/gtranslator/gir-1.0/ /usr/lib/gtranslator/girepository-1.0/
+
 binary-install/gtranslator::
+	dh_pysupport -p$(cdbs_curpkg) /usr/lib/gtranslator/plugins
+	rm debian/gtranslator/usr/lib/*.a
+	rm debian/gtranslator/usr/lib/*.la
 	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.a
 	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.la

## gtranslator 2.90.3

=== debian/changelog ===
gtranslator (2.90.3-1) experimental; urgency=low

  * New upstream release.
  * Add missing dependency on gir1.2-peas-1.0.
  * Bump Standards-Version to 3.9.2 (no changes required).

 -- Jordi Mallach <jordi@debian.org>  Fri, 06 May 2011 20:44:54 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libpeas-dev (>= 1.0.0),
                libxml2 (>= 2.4.12),
                python-support (>= 0.7.1)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gtranslator
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
@@ -40,6 +40,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${gir:Depends},
+         gir1.2-peas-1.0,
          ${python:Depends},
          ${misc:Depends},
          gsettings-desktop-schemas,

## gtranslator 2.90.5

=== debian/changelog ===
gtranslator (2.90.5-2) unstable; urgency=low

  * Upload to unstable.
  * Remove check-dist.mk rule.
  * Add help_display.patch to fix the help search path for the gtranslator
    manual (closes: #627514).

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 17:07:11 +0200

gtranslator (2.90.5-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Add missing dependency on gir1.2-gucharmap-2.90. Closes: #627128.

  [ Jordi Mallach ]
  * New upstream release.
  * Bump Build-Dep on libgdict-1.0-dev to >= 3.0.1-2~, to ensure we use a
    GTK3 version.
  * Switch watch file to tar.bz2.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Jun 2011 01:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                iso-codes (>= 0.35),
                libgda-4.0-dev (>= 4.2.0),
                libgdl-3-dev (>= 2.91.1),
-               libgdict-1.0-dev (>= 0.11.0),
+               libgdict-1.0-dev (>= 3.0.1-2~),
                libglib2.0-dev (>= 2.28.0),
                libgtksourceview-3.0-dev (>= 3.0.0),
                libgtk-3-dev (>= 3.0.3),
@@ -41,6 +41,7 @@
 Depends: ${shlibs:Depends},
          ${gir:Depends},
          gir1.2-peas-1.0,
+         gir1.2-gucharmap-2.90,
          ${python:Depends},
          ${misc:Depends},
          gsettings-desktop-schemas,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
--include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtranslator/([\d.]*)/gtranslator-(.*)\.tar\.bz

## gtranslator 2.90.7

=== debian/changelog ===
gtranslator (2.90.7-3) unstable; urgency=low

  * libgda-5.0.patch: patch from Git to add support for libgda-5.0.
  * Pass --with-gda=5.0 to configure, and bump Build-Deps to libgda5.0-dev.

 -- Jordi Mallach <jordi@debian.org>  Thu, 05 Jan 2012 16:26:00 +0100

gtranslator (2.90.7-2) unstable; urgency=low

  * Build-Depend on libgtkspell-3-dev.
  * Patch configure.ac to re-enable check for gtkspell.
  * Use dh_autoreconf to regenerate autotools.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Dec 2011 03:56:41 +0100

gtranslator (2.90.7-1) unstable; urgency=low

  * New upstream release.
  * Several bits have gone GPL2+ → GPL3+, update copyright file
    accordingly.

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Oct 2011 20:42:52 +0200

gtranslator (2.90.6-1) unstable; urgency=low

  * New upstream release.
  * Switch watch file to .xz tarballs.
  * Drop all patches; all applied upstream.
  * Update Vcs-* fields to non-redirected URLs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Oct 2011 20:32:04 +0200

gtranslator (2.90.5-3) unstable; urgency=low

  * Change the filename of the Gdl pane layout configuration file so
    a new one is generated at startup. A bug in some previous version
    of Gdl generated configs which are now invalid, making gtranslator
    unable to show anything useful in the main window (closes: #636215).

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Sep 2011 19:43:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs,
                debhelper (>= 7),
+               dh-autoreconf,
                gnome-pkg-tools,
                gettext,
                gnome-doc-utils (>= 0.3.2),
@@ -19,10 +20,11 @@
                libgirepository1.0-dev (>= 0.9.3),
                intltool (>= 0.40.0),
                iso-codes (>= 0.35),
-               libgda-4.0-dev (>= 4.2.0),
+               libgda-5.0-dev,
                libgdl-3-dev (>= 2.91.1),
                libgdict-1.0-dev (>= 3.0.1-2~),
                libglib2.0-dev (>= 2.28.0),
+               libgtkspell-3-dev (>= 3.0.0~),
                libgtksourceview-3.0-dev (>= 3.0.0),
                libgtk-3-dev (>= 3.0.3),
                libgucharmap-2-90-dev (>= 3.0.0),
@@ -32,8 +34,8 @@
                python-support (>= 0.7.1)
 Standards-Version: 3.9.2
 XS-Python-Version: >= 2.5
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/gtranslator
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtranslator
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
 Homepage: http://projects.gnome.org/gtranslator/
 
 Package: gtranslator

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -7,7 +8,10 @@
 
 LDFLAGS += -Wl,-O1 -Wl,--as-needed
 
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-debug=no
+DEB_CONFIGURE_EXTRA_FLAGS += \
+	--with-gda=5.0 \
+	--disable-scrollkeeper \
+	--enable-debug=no
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += -Xusr/lib/gtranslator

## gtranslator 2.90.8

=== debian/changelog ===
gtranslator (2.90.8-1) unstable; urgency=low

  * New upstream release.
  * Drop patches, all merged upstream.
  * Drop dh-autoreconf, not needed anymore.
  * Bump to debhelper 8.
  * Bump Standards-Version to 3.9.3, with no changes needed.
  * Define DEB_PYTHON2_MODULE_PACKAGES and include python-module.mk, and
    remove all python-support stuff to transition to dh_python2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 27 Feb 2012 15:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 7),
-               dh-autoreconf,
+Build-Depends: cdbs (>= 0.4.90~),
+               debhelper (>= 8),
                gnome-pkg-tools,
                gettext,
                gnome-doc-utils (>= 0.3.2),
@@ -31,9 +30,8 @@
                libjson-glib-dev (>= 0.12.0),
                libpeas-dev (>= 1.0.0),
                libxml2 (>= 2.4.12),
-               python-support (>= 0.7.1)
-Standards-Version: 3.9.2
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtranslator
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
 Homepage: http://projects.gnome.org/gtranslator/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/class/python-module.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,--as-needed

DEB_PYTHON2_MODULE_PACKAGES=gtranslator

DEB_CONFIGURE_EXTRA_FLAGS += \
	--with-gda=5.0 \
	--disable-scrollkeeper \
	--enable-debug=no

DEB_DH_MAKESHLIBS_ARGS_ALL += -Xusr/lib/gtranslator

DEB_DH_GIREPOSITORY_ARGS_gtranslator += -ldebian/gtranslator/usr/share/gtranslator/gir-1.0/ /usr/lib/gtranslator/girepository-1.0/

binary-install/gtranslator::
	rm debian/gtranslator/usr/lib/*.a
	rm debian/gtranslator/usr/lib/*.la
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.a
	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.la

## gtranslator 2.91.3

=== debian/changelog ===
gtranslator (2.91.3-1) unstable; urgency=low

  * New upstream release.
  * Bump GLib requirements for GResource.
  * Refresh privlib patch.
  * Add format-security.patch: fix a build error caused by
    -Werror=format-security.

 -- Jordi Mallach <jordi@debian.org>  Fri, 27 Apr 2012 17:17:19 +0200

gtranslator (2.91.2-2) unstable; urgency=low

  * Move libgtranslator-private into a package-private directory. This library
    is not supposed to be installed system wide.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Apr 2012 15:31:01 +0200

gtranslator (2.91.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on libgtk-3-dev and libpeas-dev.
  * Use find to delete .a and .la files.

 -- Jordi Mallach <jordi@debian.org>  Thu, 19 Apr 2012 19:48:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
+               dh-autoreconf,
                gnome-pkg-tools,
                gettext,
                gnome-doc-utils (>= 0.3.2),
@@ -22,13 +23,13 @@
                libgda-5.0-dev,
                libgdl-3-dev (>= 2.91.1),
                libgdict-1.0-dev (>= 3.0.1-2~),
-               libglib2.0-dev (>= 2.28.0),
+               libglib2.0-dev (>= 2.32.0),
                libgtkspell-3-dev (>= 3.0.0~),
                libgtksourceview-3.0-dev (>= 3.0.0),
-               libgtk-3-dev (>= 3.0.3),
+               libgtk-3-dev (>= 3.3.15),
                libgucharmap-2-90-dev (>= 3.0.0),
                libjson-glib-dev (>= 0.12.0),
-               libpeas-dev (>= 1.0.0),
+               libpeas-dev (>= 1.2.0),
                libxml2 (>= 2.4.12),
 Standards-Version: 3.9.3
 X-Python-Version: >= 2.5

## gtranslator 2.91.4

=== debian/changelog ===
gtranslator (2.91.4-1) unstable; urgency=low

  * New upstream release.
  * Bump GTK+ build-dependency as per configure.ac.
  * Drop patches, all merged upstream.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 23:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libglib2.0-dev (>= 2.32.0),
                libgtkspell-3-dev (>= 3.0.0~),
                libgtksourceview-3.0-dev (>= 3.0.0),
-               libgtk-3-dev (>= 3.3.15),
+               libgtk-3-dev (>= 3.4.2),
                libgucharmap-2-90-dev (>= 3.0.0),
                libjson-glib-dev (>= 0.12.0),
                libpeas-dev (>= 1.2.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
@@ -20,7 +21,4 @@
 DEB_DH_GIREPOSITORY_ARGS_gtranslator += -ldebian/gtranslator/usr/share/gtranslator/gir-1.0/ /usr/lib/gtranslator/girepository-1.0/
 
 binary-install/gtranslator::
-	rm debian/gtranslator/usr/lib/*.a
-	rm debian/gtranslator/usr/lib/*.la
-	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.a
-	rm debian/gtranslator/usr/lib/gtranslator/plugins/*.la
+	find debian/$(cdbs_curpkg) \( -name '*.la' -o -name '*.a' \) -delete

## gtranslator 2.91.5

=== debian/changelog ===
gtranslator (2.91.5-1build1) quantal; urgency=low

  * No change rebuild against the latest libgdl

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Sep 2012 12:15:55 +1200

gtranslator (2.91.5-1) unstable; urgency=low

  * New upstream release.
  * Drop dh-autoreconf, not needed anymore.
  * Bump to debhelper compat v9.

 -- Jordi Mallach <jordi@debian.org>  Sat, 04 Aug 2012 15:15:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gtranslator
 Section: gnome
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
-               debhelper (>= 8),
-               dh-autoreconf,
+               debhelper (>= 9),
                gnome-pkg-tools,
                gettext,
                gnome-doc-utils (>= 0.3.2),

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/class/python-module.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

## gtranslator 2.91.6

=== debian/changelog ===
gtranslator (2.91.6-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * Bump Build-Depends on libgdl-3-dev to (>= 3.6.0).

  [ Jeremy Bicha ]
  * When upgrading, note that you'll probably need to delete your
    ~/.config/gtranslator/layout.xml for the UI to show up
  * debian/patches/fix-help-links.patch:
    - Revert help system from yelp-tools back to gnome-doc-utils
      to work around broken help launching

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 00:58:26 +0200

gtranslator (2.91.5-3) unstable; urgency=low

  * Build-Depend on libgettextpo-dev instead of just gettext, to
    accomodate recent changes in gettext.

 -- Jordi Mallach <jordi@debian.org>  Fri, 31 May 2013 14:41:11 +0200

gtranslator (2.91.5-2) unstable; urgency=low

  * Add port_to_gtkspell3.patch: take patch from git to adapat to GtkSpell
    changes.
  * Bump to Standards-Version 3.9.4, which no changes needed.
  * Build-Depend on and include dh-autoreconf.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 23:51:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gtranslator
 Section: gnome
 Priority: optional
@@ -9,9 +10,10 @@
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 9),
+               dh-autoreconf,
                gnome-pkg-tools,
-               gettext,
-               gnome-doc-utils (>= 0.3.2),
+               libgettextpo-dev,
+               gnome-doc-utils,
                gsettings-desktop-schemas-dev,
                gtk-doc-tools,
                gobject-introspection (>= 0.9.3),
@@ -19,20 +21,20 @@
                intltool (>= 0.40.0),
                iso-codes (>= 0.35),
                libgda-5.0-dev,
-               libgdl-3-dev (>= 2.91.1),
+               libgdl-3-dev (>= 3.6.0),
                libgdict-1.0-dev (>= 3.0.1-2~),
                libglib2.0-dev (>= 2.32.0),
-               libgtkspell-3-dev (>= 3.0.0~),
+               libgtkspell3-3-dev (>= 3.0.0),
                libgtksourceview-3.0-dev (>= 3.0.0),
                libgtk-3-dev (>= 3.4.2),
                libgucharmap-2-90-dev (>= 3.0.0),
                libjson-glib-dev (>= 0.12.0),
                libpeas-dev (>= 1.2.0),
                libxml2 (>= 2.4.12),
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gtranslator
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/gtranslator
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gtranslator
 Homepage: http://projects.gnome.org/gtranslator/
 
 Package: gtranslator

=== debian/watch ===
version=3
http://download.gnome.org/sources/gtranslator/([\d.]*)/gtranslator-(.*)\.tar\.xz

## gtranslator 2.91.7

=== debian/changelog ===
gtranslator (2.91.7-5) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Update debhelper compat to 11
  * Build-Depend on dh-python

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 22:28:37 -0500

gtranslator (2.91.7-4) unstable; urgency=medium

  * Drop Build-Depends on libgdict-1.0-dev since gnome-dictionary 3.26
    no longer provides this library.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Sep 2017 11:10:24 -0400

gtranslator (2.91.7-3) unstable; urgency=medium

  [ Jordi Mallach ]
  * Point Vcs-Svn to the correct URL.
  * Set Maintainer to Debian GNOME Maintainers.

  [ Andreas Henriksson ]
  * Convert from cdbs to dh.
  * Add explicit gnome-common build-dependency (Closes: #837850)
  * Bump dh compat to 10 (automatic dh-autoreconf)
  * Add debian/patches/reproducible_manpage.patch (Closes: #783022)
    - patch by and thanks to Reiner Herrmann

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 Sep 2016 09:59:20 +0200

gtranslator (2.91.7-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Jordi Mallach ]
  * Add libpeas-1.0-python2loader to Suggests, following the package split
    (closes: #817848).
  * Use HTTPS on Vcs-Browser field.
  * Bump Standards-Version to 3.9.8.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 May 2016 09:08:41 +0200

gtranslator (2.91.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/port_to_gtkspell3.patch, merged upstream.
  * Update debian/patches/fix-help-links.patch, switch back to yelp-tools and
    add missing legal.xml files which are referenced in the help pages.
  * Bump Standards-Version to 3.9.6.
  * Update Homepage: URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 May 2015 00:33:19 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtranslator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               gnome-pkg-tools,
               python:any,
               gnome-common,
               libgettextpo-dev,
               yelp-tools,
               gsettings-desktop-schemas-dev,
               gtk-doc-tools,
               gobject-introspection (>= 0.9.3),
               libgirepository1.0-dev (>= 0.9.3),
               intltool (>= 0.40.0),
               iso-codes (>= 0.35),
               libgda-5.0-dev,
               libgdl-3-dev (>= 3.6.0),
#               libgdict-1.0-dev (>= 3.0.1-2~),
               libglib2.0-dev (>= 2.32.0),
               libgtkspell3-3-dev (>= 3.0.0),
               libgtksourceview-3.0-dev (>= 3.0.0),
               libgtk-3-dev (>= 3.4.2),
               libgucharmap-2-90-dev (>= 3.0.0),
               libjson-glib-dev (>= 0.12.0),
               libpeas-dev (>= 1.2.0),
               libxml2 (>= 2.4.12),
Standards-Version: 4.1.2
X-Python-Version: >= 2.5
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gtranslator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gtranslator.git
Homepage: https://wiki.gnome.org/Apps/Gtranslator

Package: gtranslator
Architecture: any
Depends: ${shlibs:Depends},
         ${gir:Depends},
         gir1.2-peas-1.0,
         gir1.2-gucharmap-2.90,
         ${python:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         iso-codes
Suggests: libpeas-1.0-python2loader
Description: PO-file editor for the GNOME Desktop
 GTranslator is a po file editor which makes translating gettext applications
 as easy as possible, even for people with no translation experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions, and general integration with
 the GNOME Desktop.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DH_LDFLAGS_MAINT_APPEND=-Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir,python2

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-gda=5.0 \
		--disable-scrollkeeper \
		--enable-debug=no

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/gtranslator

override_dh_girepository:
	dh_girepository -p gtranslator \
		-ldebian/gtranslator/usr/share/gtranslator/gir-1.0/ \
		/usr/lib/gtranslator/girepository-1.0/
	dh_girepository --remaining-packages

override_dh_install:
	find debian \( -name '*.la' -o -name '*.a' \) -delete
	dh_install

## gtranslator 3.30.0

=== debian/changelog ===
gtranslator (3.30.0-1) unstable; urgency=low

  * New upstream release
    - Major redesign including name change to GNOME Translation Editor
    - Plugins are no longer supported
  * Build with meson (Closes: #829791, #884714)
  * Update Build-Depends: gtkspell → gspell & gtksourceview3 → gtksourceview4
  * debian/docs: README is now README.md
  * Drop reproducible_manpage.patch: Applied in new release
  * Refresh fix-help-links.patch
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Nov 2018 09:58:52 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtranslator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools,
               meson (>= 0.46.0),
               libgettextpo-dev,
               gsettings-desktop-schemas-dev,
               gobject-introspection (>= 0.9.3),
               libgirepository1.0-dev (>= 0.9.3),
               iso-codes (>= 0.35),
               itstool,
               libgda-5.0-dev,
               libgdl-3-dev (>= 3.6.0),
               libglib2.0-dev (>= 2.32.0),
               libgspell-1-dev (>= 1.2.0),
               libgtksourceview-4-dev (>= 4.0.2),
               libgtk-3-dev (>= 3.4.2),
               libxml2 (>= 2.4.12),
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
Homepage: https://wiki.gnome.org/Apps/Gtranslator

Package: gtranslator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas,
         iso-codes
Suggests: libpeas-1.0-python2loader
Description: PO-file editor for the GNOME Desktop
 GNOME Translation Editor is a po file editor which makes translating gettext
 applications as easy as possible, even for people with no translation
 experience.
 .
 It supports the usage of translation memories, syntax highlighting, spell
 checking, undoing of insertions and deletions, and general integration with
 the GNOME Desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with gnome

## gtranslator 3.30.1

=== debian/changelog ===
gtranslator (3.30.1-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:56:59 -0500

gtranslator (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-help-links.patch: applied in new release
  * Build with -Wl,-z,defs to catch undefined references

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Nov 2018 17:31:01 -0500

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,9 @@
                libgspell-1-dev (>= 1.2.0),
                libgtksourceview-4-dev (>= 4.0.2),
                libgtk-3-dev (>= 3.4.2),
-               libxml2 (>= 2.4.12),
-Standards-Version: 4.2.1
+               libxml2-dev (>= 2.4.12),
+               libxml2-utils,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
 Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
 Homepage: https://wiki.gnome.org/Apps/Gtranslator

## gtranslator 3.32.0

=== debian/changelog ===
gtranslator (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete Build-Depends on iso-codes

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Mar 2019 16:14:49 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                gsettings-desktop-schemas-dev,
                gobject-introspection (>= 0.9.3),
                libgirepository1.0-dev (>= 0.9.3),
-               iso-codes (>= 0.35),
                itstool,
                libgda-5.0-dev,
                libgdl-3-dev (>= 3.6.0),

## gtranslator 3.34.0

=== debian/changelog ===
gtranslator (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on libjson-glib-dev and libsoup2.4-dev
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:46:12 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                meson (>= 0.46.0),
                libgettextpo-dev,
                gsettings-desktop-schemas-dev,
@@ -21,9 +21,11 @@
                libgspell-1-dev (>= 1.2.0),
                libgtksourceview-4-dev (>= 4.0.2),
                libgtk-3-dev (>= 3.4.2),
+               libjson-glib-dev,
+               libsoup2.4-dev,
                libxml2-dev (>= 2.4.12),
                libxml2-utils,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
 Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
 Homepage: https://wiki.gnome.org/Apps/Gtranslator

## gtranslator 3.36.0

=== debian/changelog ===
gtranslator (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Add libdazzle-1.0-dev to the build-dependencies
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Rename debian/NEWS.Debian -> debian/NEWS, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Mar 2020 11:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                meson (>= 0.46.0),
@@ -15,6 +15,7 @@
                gobject-introspection (>= 0.9.3),
                libgirepository1.0-dev (>= 0.9.3),
                itstool,
+               libdazzle-1.0-dev (>= 3.33.90),
                libgda-5.0-dev,
                libgdl-3-dev (>= 3.6.0),
                libglib2.0-dev (>= 2.32.0),
@@ -25,7 +26,8 @@
                libsoup2.4-dev,
                libxml2-dev (>= 2.4.12),
                libxml2-utils,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtranslator
 Vcs-Git: https://salsa.debian.org/gnome-team/gtranslator.git
 Homepage: https://wiki.gnome.org/Apps/Gtranslator

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

## gtranslator 3.38.0

=== debian/changelog ===
gtranslator (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.50.0
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Sep 2020 20:04:06 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
-               meson (>= 0.46.0),
+               meson (>= 0.50.0),
                libgettextpo-dev,
                gsettings-desktop-schemas-dev,
                gobject-introspection (>= 0.9.3),

## gtranslator 40.0

=== debian/changelog ===
gtranslator (40.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libhandy-1-dev

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 24 Aug 2021 08:00:42 -0400

## gtranslator 41.0

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

=== debian/changelog ===
gtranslator (41.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to revert switch to libgda6 since it's not in Debian yet
  * Cherry-pick patch to fix build with latest meson (Closes: #1005559)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 16:15:27 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.50.0),
@@ -22,6 +22,7 @@
                libgspell-1-dev (>= 1.2.0),
                libgtksourceview-4-dev (>= 4.0.2),
                libgtk-3-dev (>= 3.4.2),
+               libhandy-1-dev (>= 1.0.0),
                libjson-glib-dev,
                libsoup2.4-dev,
                libxml2-dev (>= 2.4.12),
